For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginTalk to us
DocumentationSDKsConnectAPI Reference
DocumentationSDKsConnectAPI Reference
  • API Reference
      • GETGet user profile
      • POSTCreate user profile
      • PUTUpdate user profile
      • PATCHMerge user profiles
      • PATCHAdd/Update channel data
      • POSTDelete channel data
      • POSTDelete user profile
LogoLogo
LoginTalk to us
API ReferenceUser Profiles

Add/Update channel data

PATCH
https://api.fyno.io/v1/:WSID/:version/profiles/:distinct_id/channel
PATCH
/v1/:WSID/:version/profiles/:distinct_id/channel
$curl -X PATCH https://api.fyno.io/v1/FYXXXXXXXX/live/profiles/XXXXXXXX/channel \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "channel": {}
>}'
1{
2 "_message": "Channel has been modified successfully",
3 "status": "ok"
4}
This API enables you to update existing data for `sms`, `whatsapp`, `email`, `slack`, `discord`, and `teams` channels, and add new tokens for `push` and `inapp` channels. It works like an update for channels that can hold a single destination only and like an insert for channels that can hold multiple destinations/tokens.
Was this page helpful?
Previous

Delete channel data

Next
Built with

This API enables you to update existing data for sms, whatsapp, email, slack, discord, and teams channels, and add new tokens for push and inapp channels. It works like an update for channels that can hold a single destination only and like an insert for channels that can hold multiple destinations/tokens.

Authentication

AuthorizationBearer
Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

Path parameters

WSIDstringRequired
Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.
versionenumRequiredDefaults to live
Specify the version for which you would like to manage the user profile.
Allowed values:
distinct_idstringRequired
Enter the distinct ID that you currently use to identify the user.

Request

This endpoint expects an object.
channelobjectRequired

Response

Profile updated successfully
_messagestring
statusstring

Errors

400
Bad Request Error
401
Unauthorized Error